IE-Security-issue

Internet Explore Security Vulnerability!

 

Security warning advisory was issued by Microsoft on Saturday about Internet Explorer web browser vulnerability. This bug allows malicious “remote hacker code execution”. It is currently susceptible to all versions of IE and there is no patch available at this point. If you are using windows XP you will not be able to apply the new patch since Microsoft no longer support windows XP.

We recommend if you are running windows as your operating system, use one of the following browser until issues has been resolved.

You can read more on this issue on:

Subscribe to our mailing list


Philip Agyeman-Budu founder and CEO of Authentic Imaging LLC, has for the past 7 years had the chance to work with highly reputable companies and helped with several online start-up companies.